<?php

namespace Modules\User\Enums;


Enum UserRoleEnum: int
{
    case SUPER_ADMIN = 1;

    case ADMIN = 2;

    case SUB_ADMIN = 3;

    case USER = 4;

    case PROVIDER = 5;

    case STORE = 6;

    case WAREHOUSE = 7;

    public static function admins()
    {
        return [
            Self::SUPER_ADMIN->value,
            Self::ADMIN->value,
            Self::SUB_ADMIN->value
        ];
    }
    public static function admins_warehouse_stores()
    {
        return [
            Self::SUPER_ADMIN->value,
            Self::ADMIN->value,
            Self::SUB_ADMIN->value,
            Self::WAREHOUSE->value,
            Self::STORE->value
        ];
    }
    public static function providers()
    {
        return [
            Self::PROVIDER->value,
        ];
    }
    public static function users()
    {
        return [
            Self::USER->value,
        ];
    }
}
